Subject: RFC 4664 errata

From: Alfred Hönes <[email-masked]>
Date: Tue, 7 Nov 2006 21:08:36 +0100 (MEZ)

Hello,
reading the recently published RFC 4664 (L2VPN Framework)
edited by you, I found a couple of textual flaws I'd like
to report.

(1)  ASCII artwork hazard

Section 2.1, on page 5 of RFC 4664, presents Figure 1 as:

                  Attachment        PSN           Attachment
                   Circuits        tunnel          Circuits
                                     +
           +-----+                 pseudo                    +-----+
           |     |                  wire                     |     |
           | CE1 |--+                                     +--| CE2 |
           |     |  |    +-----+   +-----+     +-----+    |  |     |
           +-----+  +----|---- |   |  P  |     | ----+----+  +-----+
                         |VPWS\---|-----|-----|/VPWS|
                         | PE1 |===|=====|=====| PE2 |
                         |    /|---|-----|-----|\\    |
           +-----+  +----|---- |   |     |     | ----|----+  +-----+
           |     |  |    +-----+   +-----+     +-----+    |  |     |
           | CE3 |--+                                     +--| CE4 |
           |     |                                           |     |
           +-----+                                           +-----+

Apparently, there must have been some hazard against this artwork.
I suspect that in fact it should be:

                  Attachment        PSN           Attachment
                   Circuits        tunnel          Circuits
                                     +
           +-----+                 pseudo                    +-----+
           |     |                  wire                     |     |
           | CE1 |--+                                     +--| CE2 |
           |     |  |    +-----+   +-----+     +-----+    |  |     |
           +-----+  +----|---- |   |  P  |     | ----+----+  +-----+
|                        |VPWS\|---|-----|-----|/VPWS|
                         | PE1 |===|=====|=====| PE2 |
|                        |    /|---|-----|-----|\    |
           +-----+  +----|---- |   |     |     | ----|----+  +-----+
           |     |  |    +-----+   +-----+     +-----+    |  |     |
           | CE3 |--+                                     +--| CE4 |
           |     |                                           |     |
           +-----+                                           +-----+

(2)  improper indentation

The final paragraphs of Section 2.2, on page 8,

        There may be other models as well, some of which are
        combinations of the 3 models above.  Different models may have
        different characteristics, and different scopes of
        applicability.

        Each VPLS solution should specify the model or models that it is
        supporting.  Each solution should also specify the necessary
        bridge functionality that its bridge modules must support.

        This framework does not specify the way in which bridge control
        protocols are used on the Emulated LANs.

apparently should not be (visually) part of the "Model 3" explanation.
Therefore, the same indentation level should be used as before for
the body of the section, above the model enumeration:

   There may be other models as well, some of which are combinations of
   the 3 models above.  Different models may have different
   characteristics, and different scopes of applicability.

   Each VPLS solution should specify the model or models that it is
   supporting.  Each solution should also specify the necessary bridge
   functionality that its bridge modules must support.

   This framework does not specify the way in which bridge control
   protocols are used on the Emulated LANs.

(3)  missing word

On page 20, in the first list item of Section 3.2.7.1, the text,

      - Customer Traffic Prioritization: L2VPN services could be best
        effort or QoS guaranteed.  Traffic from one customer might need
        to be prioritized over others when sharing same network
        resources.  [...]

should say:

      - Customer Traffic Prioritization: L2VPN services could be best
        effort or QoS guaranteed.  Traffic from one customer might need
|       to be prioritized over others when sharing the same network
        resources.  [...]
                                                  ^^^^^

(4)  extraneous word

In section 3.4, the 2nd-to-last paragraph on page 30 says:

   A further issue arises if the PE bridges run bridge control protocols
   with each other over the Emulated LAN.  Bridge control protocols are
|  generally designed to run in over a real LAN and may presume, for
   their proper functioning, certain characteristics of the LAN, such as
   low latency and sequential delivery.  [...]

It should better say:

   A further issue arises if the PE bridges run bridge control protocols
   with each other over the Emulated LAN.  Bridge control protocols are
|  generally designed to run over a real LAN and may presume, for
   their proper functioning, certain characteristics of the LAN, such as
   low latency and sequential delivery.  [...]

(5)  typo

In section 3.4.3, the 2nd paragrph on page 34 says:

   Relative to the VPLS there are three different possibilities for
   allocate functions to a device in such a position in the provider
   network:

It should better say:

   Relative to the VPLS there are three different possibilities for
|  allocating functions to a device in such a position in the provider
   network:

(6)  typo

In Section 4, the 5th paragraph on page 38 says:

   Thus, for inter-SP control connections, it is advisable to use some
   sort of cryptographic authentication procedure.  Control protocols
|  which used TCP may use the TCP MD5 option to provide a measure of
   PE-PE authentication; this requires at least one shared secret
   between SPs.  [...]

It should better say:

   Thus, for inter-SP control connections, it is advisable to use some
   sort of cryptographic authentication procedure.  Control protocols
|  which use TCP may use the TCP MD5 option to provide a measure of
   PE-PE authentication; this requires at least one shared secret
   between SPs.  [...]

(7)  outdated References

Section 7, on page 41, contains two outdated Informative References:

RFC 1771 has been obsoleted by RFC 4271, and RFC 2796 has been
obsoleted by RFC 4456, where both new RFCs have been published
far ahead of RFC 4664.

Therefore,
-  the tag "[RFC1771]" should have been replaced by "[RFC4271]", and
-  the tag "[RFC2796]" should have been replaced by "[RFC4456]"
(throughout the body of RFC 4664), and the related entries
in Section 7 updated accordingly.

I leave it to your decision as to which of the items above
should be addressed by an RFC Errata Note.  Preferrably, you
might submit an Authors' Errata Note, making freely use of the
material presented above.

Best regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+